# Retrieve Benefits for Employee

GET https://api.letsdeel.com/rest/v2/eor/worker/benefits

Retrieves list of benefits for employee. This endpoint requires the employee’s auth token, as the employee ID is inferred from the token.
 **Token scopes**: `benefits:read`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-benefits/get-eor-worker-benefits

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/worker/benefits:
    get:
      operationId: get-eor-worker-benefits
      summary: Retrieve Benefits for Employee
      description: >-
        Retrieves list of benefits for employee. This endpoint requires the
        employee’s auth token, as the employee ID is inferred from the token.
         **Token scopes**: `benefits:read`
      tags:
        - subpackage_eorWorkerBenefits
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-worker-benefits_getEORWorkerBenefits_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveBenefitsForEmployeeRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedPlanAttachmentsItems:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the attachment
        url:
          type: string
          description: URL of the attachment
        label:
          type: string
          description: Label of the attachment
      required:
        - id
        - url
        - label
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedPlanAttachmentsItems
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedPlan:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the plan
        name:
          type: string
          description: Name of the plan
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedPlanAttachmentsItems
      required:
        - id
        - name
        - attachments
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedPlan
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedProviderAttachmentsItems:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the attachment
        url:
          type: string
          description: URL of the attachment
        label:
          type: string
          description: Label of the attachment
      required:
        - id
        - url
        - label
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedProviderAttachmentsItems
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedProvider:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the provider
        name:
          type: string
          description: Name of the provider
        is_unisure:
          type: boolean
          description: Indicates if Unisure.
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedProviderAttachmentsItems
        home_page_url:
          type: string
          description: Home page URL of the provider
      required:
        - id
        - name
        - attachments
        - home_page_url
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedProvider
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetails:
      type: object
      properties:
        selected_plan:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedPlan
        selected_provider:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetailsSelectedProvider
        current_cycle_plan_cost:
          type: number
          format: double
          description: Cost of the plan for the current cycle
        current_cycle_employer_contribution:
          type: number
          format: double
          description: Employer contribution for the current cycle
      required:
        - selected_plan
        - selected_provider
        - current_cycle_plan_cost
        - current_cycle_employer_contribution
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetails
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedPlanAttachmentsItems:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the attachment
        url:
          type: string
          description: URL of the attachment
        label:
          type: string
          description: Label of the attachment
      required:
        - id
        - url
        - label
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedPlanAttachmentsItems
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedPlan:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the plan
        name:
          type: string
          description: Name of the plan
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedPlanAttachmentsItems
      required:
        - id
        - name
        - attachments
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedPlan
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedProviderAttachmentsItems:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the attachment
        url:
          type: string
          description: URL of the attachment
        label:
          type: string
          description: Label of the attachment
      required:
        - id
        - url
        - label
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedProviderAttachmentsItems
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedProvider:
      type: object
      properties:
        id:
          type: string
          description: Unique id of the provider
        name:
          type: string
          description: Name of the provider
        is_unisure:
          type: boolean
          description: Indicates if Unisure.
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedProviderAttachmentsItems
        home_page_url:
          type: string
          description: Home page URL of the provider
      required:
        - id
        - name
        - attachments
        - home_page_url
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedProvider
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelection:
      type: object
      properties:
        selected_plan:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedPlan
        selected_provider:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelectionSelectedProvider
      required:
        - selected_plan
        - selected_provider
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelection
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the benefit.
        name:
          type: string
          description: Name of the benefit
        type:
          type:
            - string
            - 'null'
          description: Benefit type.
        status:
          type: string
          description: Status of the benefit
        description:
          type: string
          description: Description of the benefit
        enrollment_details:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsEnrollmentDetails
        organization_selection:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItemsOrganizationSelection
      required:
        - name
        - type
        - status
        - description
        - enrollment_details
        - organization_selection
      title: >-
        EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItems
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        benefits:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItemsBenefitsItems
        currency:
          type: string
          description: Currency of the contract
        contract_id:
          type: string
          description: Unique id of the contract
      required:
        - benefits
        - currency
        - contract_id
      title: EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItems
    eor-worker-benefits_getEORWorkerBenefits_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaDataItems
      required:
        - data
      title: eor-worker-benefits_getEORWorkerBenefits_Response_200
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        path:
          type: string
          description: The JSON path where input validation failed
        message:
          type: string
          description: A description of the returned error
      title: EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaErrorsItems
    EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        url:
          type: string
          description: The relative URL of the failed request
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        method:
          type: string
          description: The HTTP method of the failed request
        source:
          type: string
          description: The source handler which produced the returned error
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
      title: EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaRequest
    RetrieveBenefitsForEmployeeRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaErrorsItems
        request:
          $ref: >-
            #/components/schemas/EorWorkerBenefitsGetResponsesContentApplicationJsonSchemaRequest
      title: RetrieveBenefitsForEmployeeRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/worker/benefits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/worker/benefits';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/worker/benefits"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/worker/benefits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/worker/benefits")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/worker/benefits', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/worker/benefits");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/worker/benefits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```